Bug 836339 - Total count of users is incorrect when looking at one's user profile page
Total count of users is incorrect when looking at one's user profile page
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Tom McKay
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 14:40 EDT by Og Maciel
Modified: 2013-03-27 16:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The user profile page did not show total number of users registered. This fix corrects the value of total users on this page. The user profile page now displays the total number of users.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:47:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (12.47 KB, image/png)
2012-06-28 14:40 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-06-28 14:40:03 EDT
Created attachment 595107 [details]
Screenshot

Description of problem:

When you look at your user profile page by clicking on your username (it's a link in the upper right section of the web ui), you get the following string on the screen:


Viewing 1 of results (1 Total Users) 

Version-Release number of selected component (if applicable):

* candlepin-0.6.5-1.el6_2.noarch
* candlepin-tomcat6-0.6.5-1.el6_2.noarch
* katello-0.1.318-1.el6cf.noarch
* katello-all-0.1.318-1.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.0.7-1.el6_3.noarch
* katello-cli-0.1.112-1.el6cf.noarch
* katello-cli-common-0.1.112-1.el6cf.noarch
* katello-common-0.1.318-1.el6cf.noarch
* katello-configure-0.1.110-1.el6_3.noarch
* katello-glue-candlepin-0.1.318-1.el6cf.noarch
* katello-glue-foreman-0.1.318-1.el6cf.noarch
* katello-glue-pulp-0.1.318-1.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.1.10-1.el6.noarch
* pulp-1.0.4-1.el6.noarch
* pulp-common-1.0.4-1.el6.noarch
* pulp-selinux-server-1.0.4-1.el6.noarch

How reproducible:


Steps to Reproduce:
1. Login as a valid user
2. Click your username 
3.
  
Actual results:

String displayed is: Viewing 1 of results (1 Total Users) 

Expected results:

Should be: Viewing 1 of 1 results (1 Total Users) 

Additional info:
Comment 1 Tom McKay 2012-07-05 16:18:02 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 9ed095cc7b9cba388f8d002483d89639fc12e1cc
      https://github.com/Katello/katello/commit/9ed095cc7b9cba388f8d002483d89639fc12e1cc
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-07-05 (Thu, 05 Jul 2012)

Fixed as part of this commit
Comment 3 Og Maciel 2012-09-15 19:33:32 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 5 errata-xmlrpc 2012-12-04 14:47:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.